- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes

# FbxPropertyConnect Class Reference

Search for all occurrences

## Detailed Description

Definition at line 407 of file fbxpropertypage.h.

`#include <fbxpropertypage.h>`

List of all members.

## Public Member Functions
| FBXSDK_FRIEND_NEW ()
void | Destroy ()
FbxPropertyConnect * | Clone (FbxPropertyPage *pPage)
void | IncRef ()
void | DecRef ()
int | GetRef ()
FbxPropertyPage * | GetPage ()
FbxInt | GetPropertyId ()
void | ClearConnectCache ()
void | WipeAllConnections ()
| Clear all connect without sending any notification (Internal use ONLY)
bool | ConnectSrc (FbxPropertyConnect *pSrc, FbxConnection::EType pType)
bool | DisconnectSrc (FbxPropertyConnect *pSrc)
bool | IsConnectedSrc (FbxPropertyConnect *pSrc)
int | GetSrcCount (FbxConnectionPointFilter *pFilter)
FbxPropertyConnect * | GetSrc (FbxConnectionPointFilter *pFilter, int pIndex)
bool | ConnectDst (FbxPropertyConnect *pDst, FbxConnection::EType pType)
bool | IsConnectedDst (FbxPropertyConnect *pSrc)
bool | DisconnectDst (FbxPropertyConnect *pDst)
int | GetDstCount (FbxConnectionPointFilter *pFilter)
FbxPropertyConnect * | GetDst (FbxConnectionPointFilter *pFilter, int pIndex)
## Static Public Member Functions
static FbxPropertyConnect * | Create (FbxPropertyPage *pPage, FbxInt pId)
## Public Attributes
int | mRef
FbxConnectionPoint | mConnectionPoint
FbxPropertyPage * | mPage
FbxInt | mId

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

static FbxPropertyConnect* Create | ( | FbxPropertyPage * | pPage,
|  | FbxInt | pId
| ) |  | `[inline, static]`

Search for all occurrences

Definition at line 411 of file fbxpropertypage.h.

    { return FbxNew< FbxPropertyConnect >(pPage,pId); }

void Destroy | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 412 of file fbxpropertypage.h.

    { FbxDelete(this); }

FbxPropertyConnect* Clone | ( | FbxPropertyPage * | pPage | ) | `[inline]`

Search for all occurrences

Definition at line 413 of file fbxpropertypage.h.

        {
            return FbxNew< FbxPropertyConnect >(pPage,mId);
        }

void IncRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 418 of file fbxpropertypage.h.

    { mRef++; }

void DecRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 419 of file fbxpropertypage.h.

    { mRef--; if (mRef==0) FbxDelete(this); }

int GetRef | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 420 of file fbxpropertypage.h.

    { return mRef; }

FbxPropertyPage* GetPage | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 423 of file fbxpropertypage.h.

    { return mPage; }

FbxInt GetPropertyId | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 424 of file fbxpropertypage.h.

    { return mId; }

void ClearConnectCache | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 428 of file fbxpropertypage.h.

        {
            mConnectionPoint.SubConnectRemoveAll();
        }

void WipeAllConnections | ( |  | ) | `[inline]`

Search for all occurrences

Clear all connect without sending any notification (Internal use ONLY)

Definition at line 434 of file fbxpropertypage.h.

        {
            mConnectionPoint.WipeConnectionList();
        }

bool ConnectSrc | ( | FbxPropertyConnect * | pSrc,
|  | FbxConnection::EType | pType
| ) |  | `[inline]`

Search for all occurrences

Definition at line 440 of file fbxpropertypage.h.

        {
            return mConnectionPoint.ConnectSrc(&pSrc->mConnectionPoint,pType);
        }

bool DisconnectSrc | ( | FbxPropertyConnect * | pSrc | ) | `[inline]`

Search for all occurrences

Definition at line 444 of file fbxpropertypage.h.

        {
            return mConnectionPoint.DisconnectSrc(&pSrc->mConnectionPoint);
        }

bool IsConnectedSrc | ( | FbxPropertyConnect * | pSrc | ) | `[inline]`

Search for all occurrences

Definition at line 448 of file fbxpropertypage.h.

        {
            return mConnectionPoint.IsConnectedSrc(&pSrc->mConnectionPoint);
        }

int GetSrcCount | ( | FbxConnectionPointFilter * | pFilter | ) | `[inline]`

Search for all occurrences

Definition at line 452 of file fbxpropertypage.h.

        {
            return mConnectionPoint.GetSrcCount(pFilter);
        }

FbxPropertyConnect* GetSrc | ( | FbxConnectionPointFilter * | pFilter,
|  | int | pIndex
| ) |  | `[inline]`

Search for all occurrences

Definition at line 456 of file fbxpropertypage.h.

        {
            FbxConnectionPoint *lCP = mConnectionPoint.GetSrc(pIndex,pFilter);
            return lCP ? (FbxPropertyConnect * )lCP->GetData() : 0;
        }

bool ConnectDst | ( | FbxPropertyConnect * | pDst,
|  | FbxConnection::EType | pType
| ) |  | `[inline]`

Search for all occurrences

Definition at line 461 of file fbxpropertypage.h.

        {
            return mConnectionPoint.ConnectDst(&pDst->mConnectionPoint,pType);
        }

bool IsConnectedDst | ( | FbxPropertyConnect * | pSrc | ) | `[inline]`

Search for all occurrences

Definition at line 465 of file fbxpropertypage.h.

        {
            return mConnectionPoint.IsConnectedSrc(&pSrc->mConnectionPoint);
        }

bool DisconnectDst | ( | FbxPropertyConnect * | pDst | ) | `[inline]`

Search for all occurrences

Definition at line 469 of file fbxpropertypage.h.

        {
            return mConnectionPoint.DisconnectDst(&pDst->mConnectionPoint);
        }

int GetDstCount | ( | FbxConnectionPointFilter * | pFilter | ) | `[inline]`

Search for all occurrences

Definition at line 473 of file fbxpropertypage.h.

        {
            return mConnectionPoint.GetDstCount(pFilter);
        }

FbxPropertyConnect* GetDst | ( | FbxConnectionPointFilter * | pFilter,
|  | int | pIndex
| ) |  | `[inline]`

Search for all occurrences

Definition at line 477 of file fbxpropertypage.h.

        {
            FbxConnectionPoint *lCP = mConnectionPoint.GetDst(pIndex,pFilter);
            return lCP ? (FbxPropertyConnect * )lCP->GetData() : 0;
        }

## Member Data Documentation

int mRef

Search for all occurrences

Definition at line 483 of file fbxpropertypage.h.

FbxConnectionPoint mConnectionPoint

Search for all occurrences

Definition at line 484 of file fbxpropertypage.h.

FbxPropertyPage* mPage

Search for all occurrences

Definition at line 485 of file fbxpropertypage.h.

FbxInt mId

Search for all occurrences

Definition at line 486 of file fbxpropertypage.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertypage.h

FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect
FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect FbxPropertyConnect